package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;


/**
 * @author dsYun
 * @Description:
 * @date 2024-10-11 14:07
 */
@Setter
@Getter
public class KlConceptDTO {

    /**
     * 概念id
     */
    private Long id;

    /**
     * 对应术语id
     */
    private Long libId;

    /**
     * 概念名称(冗余)
     */
    private String libName;

    /**
     * 概念词性type(冗余)
     */
    private Integer libType;

    /**
     * 启用状态（0：禁用，1：启用）
     */
    private Integer status;
}
