package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QuestionModuleInfoDTO;
import com.diagbot.dto.TemplateInfoPageDTO;
import com.diagbot.entity.ModuleInfo;
import com.diagbot.entity.TemplateInfo;
import com.diagbot.vo.ModuleInfoVO;
import com.diagbot.vo.TemplateInfoPageVO;

import java.util.List;

/**
 * <p>
 * 演示病历表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-16
 */
public interface ModuleInfoService extends IService<ModuleInfo> {

    List<QuestionModuleInfoDTO> getModuleByIds(ModuleInfoVO moduleInfoVO);
}
