package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author dsYun
 * @Description:
 * @date 2024年11月1日
 */
@Getter
@Setter
public class ModuleDetaillVO {

    //生成类型(0:全部 1:主诉 2:现病史)
    private Integer id = 0;
    //咳嗽主时间
    private String coughTime;
    //咳嗽主时间单位
    private String coughTimeUnit;
//    //咳嗽主时间天
//    private String coughTimeDay;
//    //咳嗽主时间小时
//    private String coughTimeHour;
//    //咳嗽主时间分钟
//    private String coughTimeMinute;
    //咳嗽加重时间
    private String coughAggravateTime;
    //咳嗽加重时间单位
    private String coughAggravateUnit;
//    //咳嗽加重主时间天
//    private String coughAggravateTimeDay;
//    //咳嗽加重主时间小时
//    private String coughAggravateTimeHour;
//    //咳嗽加重主时间分钟
//    private String coughAggravateTimeMinute;
    //咳嗽诱因
    private String coughCause;
    //咳嗽性质
    private String coughNature;
    //咳嗽程度
    private String coughDegree;
    //咳嗽伴随症状
    private String coughAccompanyingSymptoms;

    //咳痰主时间
    private String sputumTime;
    //咳痰主时间单位
    private String sputumTimeUnit;
//    //咳痰主时间天
//    private String sputumTimeDay;
//    //咳痰主时间小时
//    private String sputumTimeHour;
//    //咳痰主时间分钟
//    private String sputumTimeMinute;
    //咳痰加重时间年
    private String sputumAggravateTime;
    //咳痰加重时间月
    private String sputumAggravateTimeUnit;
//    //咳痰加重主时间天
//    private String sputumAggravateTimeDay;
//    //咳痰加重主时间小时
//    private String sputumAggravateTimeHour;
//    //咳痰加重主时间分钟
//    private String sputumAggravateTimeMinute;
    //咳痰诱因
    private String sputumCause;
    //咳痰发作特点
    private String sputumParoxysm;
    //咳痰颜色特点
    private String sputumColour;
    //咳痰性质
    private String sputumNature;
    //咳痰量
    private String sputumAmount;
    //具体咳痰量次数
    private String sputumSpecificAmount;
    //具体咳痰量天数
    private String sputumSpecificAmountDay;
    //咳痰是否通畅易咳出
    private String sputumIsUnobstructed;
    //咳痰伴随症状
    private String sputumAccompanyingSymptoms;
}
